> For the complete documentation index, see [llms.txt](https://docs.sirplugin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sirplugin.com/troubleshooting/images-dont-resize.md).

# Images Don't Resize

### Regenerate Thumbnails

If you already uploaded images to media library, make sure you regenerate thumbnails by [following these steps.](/getting-started/usage.md)

### Low Server Resources

Resizing and trimming are resource-intensive tasks especially when processed images are large, make sure:

* In the plugin settings (under *WooCommerce menu → Smart Image Resize)*, select only sizes prefixed by **woocommerce\_** in the *Sizes* option.
* You increase server `memory_limit` to at least `512M`. (Recommended `1024M` )

### Purge Cache

Make sure you:

* clear your browser cache
* purge any caching plugin if present&#x20;
* purge CloudFlare cache if present

### Uploading Images Through WP REST API \[Advanced]

Images uploaded trough WP REST API using the route `/wp/v2/media`  are not resized by default. To enable it:

Add this code snippet to your theme **functions.php**:

```php
add_filter('wp_sir_process_media_library_upload', '__return_true');
```

or add this boolean parameter in your request `_processable_image`&#x20;

### Uploading Images Through WC Vendors Plugin

By default, images uploaded trough the frontend are not resized, to enable it, add this code snippet to your theme **functions.php**:

```php
add_filter('wp_sir_process_frontend_upload', '__return_true');
```

### None of The Above Works

No worries! We're here to help, send us your support request at <support@sirplugin.com> and we'll make to get it sorted.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sirplugin.com/troubleshooting/images-dont-resize.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
